package com.hfkj.service.rebate;

import com.hfkj.entity.BsRebatePartMer;

import java.util.List;
import java.util.Map;

/**
 * @className: BsRebatePartMerService
 * @author: HuRui
 * @date: 2023/10/10
 **/
public interface BsRebatePartMerService {

    /**
     * 编辑数据
     * @param rebatePartMer
     */
    void editData(BsRebatePartMer rebatePartMer);

    /**
     * 添加商户
     * @param merNoList 商户列表
     */
    void addPartMer(List<String> merNoList);

    /**
     * 启用
     * @param merNo
     */
    void enable(String merNo);

    /**
     * 禁用
     * @param merNo
     */
    void disable(String merNo);

    /**
     * 查询详情
     * @param merId
     * @return
     */
    BsRebatePartMer getDetailByMerId(Long merId);

    /**
     * 查询详情
     * @param merNo
     * @return
     */
    BsRebatePartMer getDetailByMerNo(String merNo);

    /**
     * 查询列表
     * @param param
     * @return
     */
    List<BsRebatePartMer> getMerList(Map<String,Object> param);

    /**
     * 查询未参加的商户
     * @param param
     * @return
     */
    List<Map<String,Object>> getNotPartMerList(Map<String,Object> param);

}
